Bulk Employee Onboarding Progress

Retrieve the Onboarding Progress status for an array of employee IDs.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This will return an array of employee onboarding progress values (employee_onboarding_progress), paginated to 30 records per page. Each record will contain the following:

  • Staff ID (id)
  • The Onboarding Progress Value (onboarding_progress) which is one of no_assigned_forms, missing_all_forms, in_progress, or finished.
    • Onboarding ProgressDefinition
      no_assigned_formsEmployee has no required assigned forms
      missing_all_formsEmployee has assigned forms, and none have been started
      in_progressEmployee has started at least one form, but not all assigned forms are fulfilled.
      finishedEmployee has started forms and all assigned forms are fulfilled
  • I-9 Countersignature Status (i9_countersigned) which will be either True or False
  • Value for if staff will be processed through E-Verify (skip_everify) which will be either True or False
  • WorkBright E-verify case ID (case_id)
  • E-verify Case Status (case_status)
  • Employee Start Date (start_date)

Special cases and returns:

  • An empty array or empty body param will return no values, but a valid page.
  • An ID that doesn't exist within the organization will return a 404 error for the entire array, with an error message specifying which ID was not found.
  • An ID input that is a string will return a 400 error.
  • An ID input that is a decimal will truncate the decimal and return as normal.
Query Params
int32
Defaults to 1

The page of the results

Body Params
employee_ids
array of int32s

List of employee ids of whose status to return

employee_ids
Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json